
/* add this to include section utils.c */
#include <errno.h>
#include <stdarg.h>
#include <ctype.h>
#include <sys/types.h>

/* add this function to utils.c */

/* system logging (replaces log()) - works like printf now
** - Anil Mahajan 12-13-97 (originally written for FucMUD)
*/
void slog(const char *cpcFormat, ...)
{
  va_list     tArgList;
  time_t        ct;
  char          *tmstr;

  va_start(tArgList, cpcFormat);
  ct = time(0);
  tmstr = asctime(localtime(&ct));
  *(tmstr + strlen(tmstr) - 1) = '\0';

  fprintf(stderr, "%-19.19s :: ", tmstr);
  vfprintf(stderr, cpcFormat, tArgList);
  fprintf(stderr, "\n");

  va_end(tArgList);
}



